cURL
curl -X POST https://api.bodhveda.com/recipients \
-H "Authorization: Bearer bv_xxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{
"id": "recipient_123",
"name": "Alice Johnson"
}'import { Bodhveda } from "@bodhveda/js";
const bodhveda = new Bodhveda("bv_xxxxxxxxx");
const recipient = await bodhveda.recipients.create({
id: "recipient_123",
name: "Alice Johnson",
});import (
"context"
bodhveda "github.com/MudgalLabs/bodhveda/sdk/go"
)
ctx := context.Background()
client := bodhveda.NewClient("bv_xxxxxxxxx", nil)
name := "Alice Johnson"
recipient, _ := client.Recipients.Create(ctx, &bodhveda.CreateRecipientRequest{
ID: "recipient_123",
Name: &name,
}){
"message": "Recipient created",
"data": {
"id": "recipient_123",
"name": "John Doe",
"created_at": "2025-11-07T05:31:56Z",
"updated_at": "2025-11-07T05:31:56Z"
}
}{
"message": "Recipient already exists"
}Recipients
Create recipient
Create a new recipient.
POST
/
recipients
cURL
curl -X POST https://api.bodhveda.com/recipients \
-H "Authorization: Bearer bv_xxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{
"id": "recipient_123",
"name": "Alice Johnson"
}'import { Bodhveda } from "@bodhveda/js";
const bodhveda = new Bodhveda("bv_xxxxxxxxx");
const recipient = await bodhveda.recipients.create({
id: "recipient_123",
name: "Alice Johnson",
});import (
"context"
bodhveda "github.com/MudgalLabs/bodhveda/sdk/go"
)
ctx := context.Background()
client := bodhveda.NewClient("bv_xxxxxxxxx", nil)
name := "Alice Johnson"
recipient, _ := client.Recipients.Create(ctx, &bodhveda.CreateRecipientRequest{
ID: "recipient_123",
Name: &name,
}){
"message": "Recipient created",
"data": {
"id": "recipient_123",
"name": "John Doe",
"created_at": "2025-11-07T05:31:56Z",
"updated_at": "2025-11-07T05:31:56Z"
}
}{
"message": "Recipient already exists"
}If a recipient with the given
id already exists, this will return a conflict error.
💡 You should use this API during your user sign up flow.Authorizations
Bearer authentication header of the form Bearer bv_xxxxxxxxx, where bv_xxxxxxxxx is your API Key with Full access scope.
Body
application/json
Response
Recipient created successfully